Subject: Re: bug#8391: chmod setuid & setguid bits

From: Christian <[email-masked]>
Date: Fri, 01 Apr 2011 11:23:36 +0200

Hi

have to revoke my last comment "00755 is working here. I can live with 
that :) "
This was on the wrong system (SLES 10 SP3), where also a 755 does not 
preserve the sbit.
sorry for that

Cheers, Chris

Am 31.03.2011 22:58, schrieb Christian:
> Hi
>> No, 0755 is not explicit - it is ambiguous with people that are
>> explicitly using printf %#3o to output a 3-digit octal string with
>> leading 0 - I don't think we can change this.
>>
>> But my suggestion of 00755 _is_ explicit - after taking off the leading
> 00755 is working here. I can live with that :)
>> 0 for specifying octal, you are _still_ left with four octal digits
>> which includes the sticky bit explicitly being set to 0.
> Thank you
>  Cheers
>

-- 

Christian
---------------------------------------------------
Der ultimative shop für Sportbekleidung und Zubehör

http://www.sc24.de
---------------------------------------------------